import styles from './PageFooter.less'

export default ({ onLottery, lotteryBtnArray, uploading }) => (
  <ul className={styles['footer-wrap'] + ` ${uploading ? styles['footer-wrap-uploading']:''}`}>
    {
      lotteryBtnArray && lotteryBtnArray.map((item, i) => (
        <li onClick={onLottery(item)}>
          <div className={styles['footer-item']}>旅行{item.times}次</div>
          <p>x{item.rewards}</p>
        </li> 
      ))
    }
  </ul>
)
