import styles from './HeaderRecharge.less'
import iconGold from '@/assets/icon_gold.png'
import iconOrder from '@/assets/icon_order.png'
import iconClose from '@/assets/icon_close_dark.png'
export default ({ goPageMore, walletBlance, goRecharge, onClosePage }) => (
  <div className={styles['recharge-header']}>
    <div className={styles['content-left']} onClick={goRecharge}>
      <img src={iconGold} alt=""/>
      <span>{walletBlance}</span>
      <i>充值</i>
    </div>
    <div className={styles['content-right']}>
      <img src={iconOrder} alt="" onClick={goPageMore}/>
      <img src={iconClose} alt="" onClick={onClosePage}/>
    </div>
  </div>
)
