import styles from './PageWrap.less'
import titleGame from '../assets/title_game.png'
export default ({ children, header }) => (
  <div className={styles['wrap']}>
    <div className={styles['content-wrap']}>
      <header className={styles['page-header']}>
        <div className={styles['title-img-wrap']}>
          {header || <img src={titleGame} alt=""/>}
        </div>
      </header>
      <div className={styles['page-content']}>
        {children}
      </div>
    </div>
  </div>
)
